Bug 150739 - multimedia/xmms does not work on sparc64
Summary: multimedia/xmms does not work on sparc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stanislav Sedov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-19 22:20 UTC by Stefan
Modified: 2011-01-11 23:14 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan 2010-09-19 22:20:01 UTC
xmms compiles fine, but does not properly play audio files. Only "white noise" is coming from the speakers.

Note, this happens on sparc64, but not on i386.

Fix: 

This patches fixes the problem on sparc64 http://people.freebsd.org/~ariff/ports/multimedia_xmms/patch-xzz. This patch does not interfere with FreeBSD/i386.

This following thread discusses the patch http://forums.freebsd.org/archive/index.php/t-4771.html

Would it be possible to integrate it into ports?
Comment 1 Edwin Groothuis freebsd_committer 2010-09-19 22:20:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-12-14 08:22:15 UTC
stas        2010-12-14 08:22:10 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/xmms      Makefile 
  Added files:
    multimedia/xmms/files patch-oss 
  Log:
  - Fix xmms operation with regards to the new OSS.  In particular,
    don't recent the volume level on each track change and pause/stop.
    Also, this fixes XMMS operation on sparc64.
  
  PR:             ports/150739
  Submitted by:   ariff
  Reported by:    Stefan Schaeckeler <schaecsn@gmx.net>
  URL:            http://forums.freebsd.org/showthread.php?t=4771
  
  Revision  Changes    Path
  1.114     +1 -1      ports/multimedia/xmms/Makefile
  1.1       +203 -0    ports/multimedia/xmms/files/patch-oss (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Stanislav Sedov freebsd_committer 2011-01-11 23:14:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!